Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.message
Interface IdeMessageView

All Known Subinterfaces:
  IdeMessagePage

public interface IdeMessageView

Defines methods used by message pages to print messages.

An object of this type is required in the IdeMessageManager#openPage(Object, Component, IdeMessageView) method to use its methods for printing messages in a user-defined page.

Author:
  TogetherSoft

Method Summary
`void` | `printMessage(int type, String text, String sourceURL, String helpURL)` Prints the specified message in this page or in a modal dialog, providing additional information.
`void` | `printMessage(int type, String text)` Prints the specified message in this page or in a modal dialog.

Method Detail

### printMessage

    public void printMessage(int type, String text, String sourceURL, String helpURL)

  Prints the specified message in this page or in a modal dialog, providing additional information.
  Parameters:
    type - `int` typeidentifier of the message type. Some of the types are defined in the `IdeMessageType` interface.
    text - `String` text of this message
    sourceURL - `String` URL containing something important (like a source file etc.)
    helpURL - `String` URL of the help system
  See Also:
    IdeMessageType, IdeMessageManagerAccess.printMessage(int,java.lang.String,java.lang.String,java.lang.String)

### printMessage

    public void printMessage(int type, String text)

  Prints the specified message in this page or in a modal dialog.
  Parameters:
    type - `int`message type. Some of the types are defined in the `IdeMessageType` interface.``
    text - `String` text of this message
  See Also:
    IdeMessageType, IdeMessageManagerAccess.printMessage(int,java.lang.String)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD